Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.crypto.wss
Class ClientBSTHandler

    java.lang.Object
      weblogic.xml.crypto.wss.BinarySecurityTokenHandler
          weblogic.xml.crypto.wss.ClientBSTHandler

All Implemented Interfaces:
  SecurityTokenHandler

    public class ClientBSTHandler

extends BinarySecurityTokenHandler

Constructor Summary
`ClientBSTHandler()`

Method Summary
`static SecurityTokenHandler` | `getInstance()`
`Subject` | `getSubject(SecurityToken token, MessageContext msgCtx)`
`SecurityTokenValidateResult` | `validateProcessed(SecurityToken token, MessageContext ctx)`
`SecurityTokenValidateResult` | `validateUnmarshalled(SecurityToken token, MessageContext ctx)`

Methods inherited from class weblogic.xml.crypto.wss.BinarySecurityTokenHandler
`getContextHandler, getKeyProvider, getQNames, getSecurityToken, getSecurityToken, getSecurityToken, getSTR, getValueTypes, matches, newSecurityToken, newSecurityTokenReference, setAuthorizationToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientBSTHandler

    public ClientBSTHandler()

Method Detail

### getSubject

    public Subject getSubject(SecurityToken token,
                              MessageContext msgCtx)

  Specified by:
    `getSubject` in interface `SecurityTokenHandler`
  Overrides:
    `getSubject` in class `BinarySecurityTokenHandler`

### validateUnmarshalled

    public SecurityTokenValidateResult validateUnmarshalled(SecurityToken token,
                                                            MessageContext ctx)

  Specified by:
    `validateUnmarshalled` in interface `SecurityTokenHandler`
  Overrides:
    `validateUnmarshalled` in class `BinarySecurityTokenHandler`

### validateProcessed

    public SecurityTokenValidateResult validateProcessed(SecurityToken token,
                                                         MessageContext ctx)

  Specified by:
    `validateProcessed` in interface `SecurityTokenHandler`
  Overrides:
    `validateProcessed` in class `BinarySecurityTokenHandler`

### getInstance

    public static SecurityTokenHandler getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD